import { UmbModalBaseElement } from '../../component/modal-base.element.js';
import type { UmbItemPickerModalData, UmbItemPickerModel } from './item-picker-modal.token.js';
import { nothing } from '../../../../../external/lit/index.js';
export declare class UmbItemPickerModalElement extends UmbModalBaseElement<UmbItemPickerModalData, UmbItemPickerModel> {
    #private;
    private _filtered;
    connectedCallback(): void;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbItemPickerModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-item-picker-modal': UmbItemPickerModalElement;
    }
}
